Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007476opensim[GRID] Asset Servicepublic2015-03-03 19:222016-11-24 05:45
Reportercinderblocks 
Assigned ToBlueWall 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSSlackwareOS Version14.1
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0007476: Prim descirptions truncated to 64 bytes
DescriptionPrim descripts are truncated to 64 bytes. This does not adhere to the SL spec where it is noted that prim description is 127 bytes (plus null terminator, bringing it to 128 bytes.)
Steps To ReproduceRez a prim, set description field to a string longer than 64 bytes but less than 127 bytes.

Observe ROBUST console:
22:44:08 - [ASSET DB]: Description 'Welcome to YrGrid, feel free to explore our welcome center in Virtual Macau!.' for asset 73833c55-ce9c-49be-9d4b-dd2e4d1d74b0 truncated from 77 to 64 characters
Additional InformationPatch attached
TagsNo tags attached.
Git Revision or version numberHEAD
Run Mode Grid (1 Region per Sim)
Physics EngineBulletSim
EnvironmentMono / Linux64
Mono VersionOther
Viewer
Attached Filesdiff file icon patch.diff [^] (936 bytes) 2015-03-03 19:22 [Show Content]
diff file icon patch-migrations.diff [^] (1,361 bytes) 2015-03-03 19:44 [Show Content]

- Relationships
related to 0007350new MySQL Data Base Schemas - Inconsistency in Name and Description Field Lengths 
related to 0008065new [ASSET DB]: MySQL failure creating asset ... Error: Data too long for column 'description' at row 1 

-  Notes
(0027713)
BlueWall (administrator)
2015-03-03 19:44

Thanks for the patch!

- Issue History
Date Modified Username Field Change
2015-03-03 19:22 cinderblocks New Issue
2015-03-03 19:22 cinderblocks File Added: patch.diff
2015-03-03 19:23 cinderblocks Status new => patch included
2015-03-03 19:24 cinderblocks Steps to Reproduce Updated View Revisions
2015-03-03 19:44 BlueWall Mono Version trunk => Other
2015-03-03 19:44 BlueWall Note Added: 0027713
2015-03-03 19:44 BlueWall Status patch included => resolved
2015-03-03 19:44 BlueWall Fixed in Version => master (dev code)
2015-03-03 19:44 BlueWall Resolution open => fixed
2015-03-03 19:44 BlueWall Assigned To => BlueWall
2015-03-03 19:44 BlueWall Status resolved => closed
2015-03-03 19:44 cinderblocks File Added: patch-migrations.diff
2015-03-04 00:59 aiaustin Relationship added related to 0007350
2016-11-24 05:45 aiaustin Relationship added related to 0008065


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker